#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLabel>
#include <QGridLayout>
#include <QMouseEvent>
#include <QDebug>
#include <QUdpSocket>
#include <iostream>



#define     UDP_PORT        45454

// ____________________
// ::: Class Button :::

class Button : public QLabel
{
    Q_OBJECT
public:
    Button();
    bool  getStatus() {return Status;}
protected:
  void mousePressEvent(QMouseEvent * e);


signals:
  void clicked(const QPoint & pos);

private:
  QPixmap               img_Button_On;
  QPixmap               img_Button_Off;
  bool                  Status;  
};





// _________________
// ::: Class Led :::
class Led : public QLabel
{
    Q_OBJECT
public:
    Led();
    void                setStatus(bool bStatus);

private:
  QPixmap               img_Led_On;
  QPixmap               img_Led_Off;
  bool                  Status;
};





// ________________________
// ::: Class MainWindow :::

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    void            processPendingDatagrams();


private:
    Ui::MainWindow *ui;

    // Array of buttons
    Button              tButtons[8];

    // Array of leds
    Led                 tLeds[8];

    // Socket for communications
    QUdpSocket      *udpSocket;
};

#endif // MAINWINDOW_H
