#ifndef DRIVER_LED_INTER_H
#define DRIVER_LED_INTER_H

#include <stdio.h>
#include <QtNetwork>
#include <unistd.h>
#include <iostream>


#define     UDP_PORT        45454
#define     TIME_OUT_MS     100



/*!
    \brief      Open communication with the led/button interface
    \return     1 success
                -1 error while binding socket
                -2 error during communication
*/
unsigned char       OpenPortInter    ();


/*!
    \brief      Send a value (to the led/button interface) : change led status)
    \param      val is the led status
*/
void              OutPortInter  (unsigned char val);


/*!
    \brief      Request a value (from the led/button interface) : get buttons status
    \return     The button status
*/
unsigned char     InPortInter   ();


/*!
    \brief      Close the connection with the led/button interface
*/
void              ClosePortInter   ();


#endif // DRIVER_LED_INTER_H

